#!/bin/sh
#
# simple gopdc release script
#
[ ! -x "release.sh" ] && echo "Please start `basename $0` in GOpdc's directory!" && exit 1
# Yes i know ;)
myversion=`cat debian/changelog |awk '{print $2}'|head -1|sed -e "s/(//g" -e "s/)//g"|cut -d "-" -f1`
debian=`cat debian/changelog |awk '{print $2}'|head -1|sed -e "s/(//g" -e "s/)//g"`
rm -rf .release
mkdir -p .release/gopdc-$myversion
mkdir -p .release/gopdc-${myversion}_orig
tar c --exclude=release.sh --exclude=debian --exclude=.svn --exclude=.release . | tar x -C .release/gopdc-$myversion
tar c --exclude=release.sh --exclude=.svn --exclude=.release . | tar x -C .release/gopdc-${myversion}_orig
tar cjf gopdc-$myversion.tar.bz2 -C .release gopdc-$myversion
cd .release && diff -Naur gopdc-${myversion} gopdc-${myversion}_orig >gopdc-$debian.diff
